Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.process
[Java] Interface JavaExecSpec

    org.gradle.process.ProcessForkOptions
      org.gradle.process.JavaForkOptions
          org.gradle.process.BaseExecSpec
              org.gradle.process.JavaExecSpec

All Superinterfaces:
  ProcessForkOptions, JavaForkOptions, BaseExecSpec

    public interface JavaExecSpec
    extends BaseExecSpec, JavaForkOptions

Specifies the options for executing a Java application.

Authors:
  Hans Dockter

Method Summary
`JavaExecSpec` | `args(Object... args)` Adds args for the main class to be executed.
`JavaExecSpec` | `args(Iterable args)` Adds args for the main class to be executed.
`JavaExecSpec` | `classpath(Object... paths)` Adds elements to the classpath for executing the main class.
`List` | `getArgs()` Returns the arguments passed to the main class to be executed.
`FileCollection` | `getClasspath()` Returns the classpath for executing the main class.
`String` | `getMain()` Returns the fully qualified name of the Main class to be executed.
`JavaExecSpec` | `setArgs(Iterable args)` Sets the args for the main class to be executed.
`JavaExecSpec` | `setClasspath(FileCollection classpath)` Sets the classpath for executing the main class.
`JavaExecSpec` | `setMain(String main)` Sets the fully qualified name of the main class to be executed.

Methods inherited from interface JavaForkOptions
bootstrapClasspath, copyTo, getAllJvmArgs, getBootstrapClasspath, getDebug, getDefaultCharacterEncoding, getEnableAssertions, getJvmArgs, getMaxHeapSize, getMinHeapSize, getSystemProperties, jvmArgs, jvmArgs, setAllJvmArgs, setBootstrapClasspath, setDebug, setDefaultCharacterEncoding, setEnableAssertions, setJvmArgs, setMaxHeapSize, setMinHeapSize, setSystemProperties, systemProperties, systemProperty

Methods inherited from interface BaseExecSpec
getCommandLine, getErrorOutput, getStandardInput, getStandardOutput, isIgnoreExitValue, setErrorOutput, setIgnoreExitValue, setStandardInput, setStandardOutput

Method Detail

### args

    public JavaExecSpec args(Object... args)

  Adds args for the main class to be executed.
  Parameters:
    `args` - Args for the main class.
  Returns:
    this

### args

    public JavaExecSpec args(Iterable args)

  Adds args for the main class to be executed.
  Parameters:
    `args` - Args for the main class.
  Returns:
    this

### classpath

    public JavaExecSpec classpath(Object... paths)

  Adds elements to the classpath for executing the main class.
  Parameters:
    `paths` - classpath elements
  Returns:
    this

### getArgs

    public List getArgs()

  Returns the arguments passed to the main class to be executed.

### getClasspath

    public FileCollection getClasspath()

  Returns the classpath for executing the main class.

### getMain

    public String getMain()

  Returns the fully qualified name of the Main class to be executed.

### setArgs

    public JavaExecSpec setArgs(Iterable args)

  Sets the args for the main class to be executed.
  Parameters:
    `args` - Args for the main class.
  Returns:
    this

### setClasspath

    public JavaExecSpec setClasspath(FileCollection classpath)

  Sets the classpath for executing the main class.
  Parameters:
    `classpath` - the classpath
  Returns:
    this

### setMain

    public JavaExecSpec setMain(String main)

  Sets the fully qualified name of the main class to be executed.
  Parameters:
    `main` - the fully qualified name of the main class to be executed.
  Returns:
    this

Gradle API 1.1-rc-1